Subject: Re: [PATCH] diff: add a config option to control orderfile

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Sep 2013 10:24:19 -0700

"Michael S. Tsirkin" <[email-masked]> writes:

> So might it not be useful to tweak patch id to
> sort the diff, making it a bit more stable?

That is one thing that needs to be done, I think.  But it would be
unfortunate if we have to do that unconditionally, though, as we may
be "buffering" many hundred kilobytes of patch text in core.  If we
can do so without regressing the streaming performance for the most
common case of not using the orderfile on the generating side (hence
not having to sort on the receiving end), it would be ideal.  I am
not sure offhand how much code damage we are talking about, though.

> I'll be glad to help do this if you tell me what these parts are.
> anything else besides fixing besides the stand-alone patch id?

Off the top of my head I do not think of one (but that is not a
guarantee that there isn't any).